wp_update_plugin()WP 2.5.0

Устарела с версии 3.7.0. Больше не поддерживается и может быть удалена. Используйте Plugin_Upgrader.

This was once used to kick-off the Plugin Updater.

Deprecated in favor of instantating a Plugin_Upgrader instance directly, and calling the 'upgrade' method. Unused since 2.8.0.

Хуков нет.

Возвращает

null. Ничего.

Использование

wp_update_plugin( $plugin, $feedback );
$plugin (обязательный)
-
$feedback **
-
По умолчанию: ''

Заметки

Список изменений

С версии 2.5.0 Введена.
Устарела с 3.7.0 Use Plugin_Upgrader

Код wp_update_plugin() WP 6.0.2

function wp_update_plugin($plugin, $feedback = '') {
	_deprecated_function( __FUNCTION__, '3.7.0', 'new Plugin_Upgrader();' );

	if ( !empty($feedback) )
		add_filter('update_feedback', $feedback);

	require ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';
	$upgrader = new Plugin_Upgrader();
	return $upgrader->upgrade($plugin);
}